## squid3 3.0.STABLE8

=== helpers/negotiate_auth/squid_kerb_auth/spnegohelp/Makefile ===
#
# Linux:
# -D__LITTLE_ENDIAN__ 
# Solaris:
# -D__BIG_ENDIAN__
#

CFLAGS = -fpic

LIB = libspnegohelp.a
SLIB = libspnegohelp.so

OBJS = derparse.o  spnego.o  spnegohelp.o  spnegoparse.o

all: 
	make `uname`

debug:
	make CFLAGS="$(CFLAGS) -DDEBUG" `uname`

SunOS:
	make CFLAGS="$(CFLAGS) -D__BIG_ENDIAN__" libs

AIX:
	make CFLAGS="$(CFLAGS) -D__BIG_ENDIAN__" libs

Linux:
	make CFLAGS="$(CFLAGS) -D__LITTLE_ENDIAN__" libs

libs: $(LIB) $(SLIB)

$(LIB): $(OBJS)
	ar -r $(LIB) $(OBJS)

$(SLIB): $(OBJS)
	gcc --shared -o $(SLIB) $(OBJS)

derparse.o: derparse.c derparse.h spnego.h Makefile
	gcc -c $(CFLAGS) derparse.c -o $@

spnego.o: spnego.c derparse.h spnego.h spnegoparse.h Makefile
	gcc -c $(CFLAGS) spnego.c -o $@

spnegoparse.o: spnegoparse.c derparse.h spnego.h spnegoparse.h Makefile
	gcc -c $(CFLAGS) spnegoparse.c -o $@

spnegohelp.o: spnegohelp.c spnego.h spnegohelp.h Makefile
	gcc -c $(CFLAGS) spnegohelp.c -o $@

clean:
	rm $(OBJS) $(LIB) $(SLIB)

## squid3 3.1.16

=== debian/changelog ===
squid3 (3.1.16-1) unstable; urgency=low

  * New upstream release

  * Changed source format to 3.0 (quilt)

  * debian/squid3.rc
    - Added LSB compliant option to init script (Closes: #645780)
      Thanks to Fredrik Eriksson

 -- Luigi Gangitano <luigi@debian.org>  Thu,  3 Nov 2011 13:37:17 +0100

squid3 (3.1.15-1) unstable; urgency=high

  * Urgency high due to security fixes

  * New upstream release
    - Fixes DoS issue in Gopher client (Closes: #639755)
      (Ref: CVE-2011-3205, SQUID-2011:3)

  * debian/control
    - Removed hardcoded list of non-Linux architectures (Closes: #634765)

 -- Luigi Gangitano <luigi@debian.org>  Fri, 02 Sep 2011 13:33:41 +0200

squid3 (3.1.14-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS with GCC 4.6 (Closes: #625405)
    - Fixes issue with IPv4/IPv6 DNS resolution (Closes: #604566)
    - Fixes issue with IPv6 resolution in access.log (Closes: #604832)

  * debian/control
    - Bumped Standard-Version to 3.9.2, no change needed

  * debian/squid.rc
    - Fixed init script preventing alterate cache dir from being created
      (Closes: #623935)

 -- Luigi Gangitano <luigi@debian.org>  Sat, 09 Jul 2011 17:58:46 +0200

squid3 (3.1.12-1) unstable; urgency=low

  * New upstream release
    - Removed patch integrated upstream
      + 18-gcc-4.5-fix
    - Rebuild against libdb5.1 (Closes: #621453)

  * debian/control
    - Remove article at start of synopsis, to make lintian happy

 -- Luigi Gangitano <luigi@debian.org>  Mon, 11 Apr 2011 18:47:02 +0200

squid3 (3.1.11-1) unstable; urgency=low

  * New upstream release

  * debian/patches/18-gcc-4.5-fix
    - Added upstream fix for gcc 4.5 building (Closes: #613153)

 -- Luigi Gangitano <luigi@debian.org>  Tue, 15 Feb 2011 01:46:19 +0100

squid3 (3.1.10-1) unstable; urgency=low

  * New upstream release (Closes: #609881)
    - Removed patches integrated upstream
      + 16-CVE-2010-3072
      + 17-CVE-2010-2951
    - Fixes TCP DNS lookups failure on IPv6-disabled systems (Closes: #607379)
    - Fixes HTTPS not working if IPv6 is disabled (Closes: #594713)

  * debian/rules
    - Enable ZPH feature (Closes: #597687)

  * debian/squid3.ufw.profile
    - Added UFW profile, thanks to Alessio Treglia (Closes: #605088)

  * debian/control
    - Added versioned dependency on squid-langpack

 -- Luigi Gangitano <luigi@debian.org>  Fri, 21 Jan 2011 18:43:56 +0100

squid3 (3.1.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix DoS while processing large DNS replies with no IPv6 resolver present
    (CVE-2010-2951) (Closes: #599709)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 30 Oct 2010 17:00:55 +0200

squid3 (3.1.6-1.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix DoS due to wrong string handling (Closes: #596086)
    Fixes: CVE-2010-3072

 -- Steffen Joeris <white@debian.org>  Mon, 13 Sep 2010 17:07:51 +1000

squid3 (3.1.6-1) unstable; urgency=low

  * New upstream release

  * debian/rules
    - Removed now-default --enable-ipv6 option

  * debian/control
    - Bumped Standard-Version to 3.9.1, no change needed

  * debian/patches/01-cf.data.pre
    - Updated to match new upstream default IPv6 configuration

 -- Luigi Gangitano <luigi@debian.org>  Mon, 09 Aug 2010 00:59:26 +0200

squid3 (3.1.5-2) unstable; urgency=low

  * debian/control
    - Added build dependency on libltdl-dev fixing FTBFS on most archs

 -- Luigi Gangitano <luigi@debian.org>  Wed, 07 Jul 2010 15:21:06 +0200

squid3 (3.1.5-1) unstable; urgency=low

  * New upstream release

  * debian/control
    - Bumped Standard-Version to 3.9.0

 -- Luigi Gangitano <luigi@debian.org>  Tue, 06 Jul 2010 23:26:26 +0200

squid3 (3.1.4-1) unstable; urgency=low

  * New upstream release
    - Fixes several issues with IPv6 socket handling (Closes: #581901, #584223)
    - Fixes assertion in comm.cc (Closes: #572368)

 -- Luigi Gangitano <luigi@debian.org>  Fri, 04 Jun 2010 14:49:32 +0200

squid3 (3.1.3-2) unstable; urgency=low

  * debian/rules
    - Actually enable IPv6 (how did I miss this?)

 -- Luigi Gangitano <luigi@debian.org>  Tue, 04 May 2010 11:15:49 +0200

squid3 (3.1.3-1) unstable; urgency=low

  * New upstream release
    - Fix incorrect behaviour of --enable-ipv6 (Closes: #578047)
    - Removed patches integrated upstream
      + 14-kfreebsd-compile

 -- Luigi Gangitano <luigi@debian.org>  Sun, 02 May 2010 19:31:38 +0200

squid3 (3.1.1-3) unstable; urgency=low

  * debian/{squid3.install,rules}
    - Install documented version of squid.conf as file, not directory
      (Closes: #577615)

 -- Luigi Gangitano <luigi@debian.org>  Thu, 15 Apr 2010 11:14:08 +0200

squid3 (3.1.1-2) unstable; urgency=low

  * debian/watch
    - Updated pattern to match 3.1 releases

  * debian/control
    - Excluded dependency on libcap2-dev on kfreebsd

  * debian/patches/14-kfreebsd-compile
    - Added patch to enable kfreebsd compilato, thanks to Petr Salinger
      (Closes: #576952)

  * debian/{rules,control,squid-cgi.install}
    - Rename squid3-cgi package to squid-cgi (Closes: #489061)

  * debian/patches/15-cachemgr-default-config
    - Fix squid-cgi default configuration file path

  * debian/source/format
    - Added format specification file, still with 1.0 version

 -- Luigi Gangitano <luigi@debian.org>  Mon, 12 Apr 2010 11:49:01 +0200

squid3 (3.1.1-1) unstable; urgency=low

  * New upstream release

  * debian/control
   - Bumped Standard-Version to 3.8.4, no change needed

 -- Luigi Gangitano <luigi@debian.org>  Thu, 01 Apr 2010 00:33:21 +0200

squid3 (3.1.0.18-1) UNRELEASED; urgency=low

  * New upstream release

  * debian/rules
    - Fix wrong resolvconf directory (Closes: #565652)

 -- Luigi Gangitano <luigi@debian.org>  Mon, 15 Mar 2010 19:35:50 +0100

squid3 (3.1.0.17-1) UNRELEASED; urgency=low

  * New upstream release, fixes
    - Remote Denial of Service issue in HTCP (Closes: #572554)
      (Ref: SQUID-2010:2 CVE-2010-0639)



=== debian/control ===
Source: squid3
Section: web
Priority: optional
Maintainer: Luigi Gangitano <luigi@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 3.9.2
Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev

Package: squid3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base
Suggests: squidclient, squid-cgi, resolvconf (>= 0.40), smbclient, ufw
Description: Full featured Web Proxy cache (HTTP proxy)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.

Package: squid3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: squid3 (= ${binary:Version}), ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - Debug symbols
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains debugging symbols for binaries in squid3.

Package: squid3-common
Architecture: all
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains common files (MIB and icons)

Package: squidclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: squid3-client
Conflicts: squid3-client
Replaces: squid3-client
Description: Full featured Web Proxy cache (HTTP proxy) - control utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains a small utility that can be used to get URLs from the 
 command line. It needs to talk to a `squid' proxy server.

Package: squid-cgi
Architecture: any
Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
Provides: squid3-cgi
Conflicts: squid3-cgi
Replaces: squid3-cgi
Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains a CGI program that can be used to query and administrate 
 a `squid' proxy cache through a web browser.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
 
INSTALLDIR := $(CURDIR)/debian/tmp
datadir=/usr/share/squid3

DEB_DH_INSTALL_SOURCEDIR := $(INSTALLDIR)
DEB_INSTALL_DOCS_squid3-common := CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html \
						SPONSORS 

DEB_CONFIGURE_EXTRA_FLAGS := --datadir=/usr/share/squid3 \
		--sysconfdir=/etc/squid3 \
		--mandir=/usr/share/man \
		--with-cppunit-basedir=/usr \
		--enable-inline \
		--enable-async-io=8 \
		--enable-storeio="ufs,aufs,diskd" \
		--enable-removal-policies="lru,heap" \
		--enable-delay-pools \
		--enable-cache-digests \
		--enable-underscores \
		--enable-icap-client \
		--enable-follow-x-forwarded-for \
		--enable-auth="basic,digest,ntlm,negotiate" \
		--enable-basic-auth-helpers="LDAP,MSNT,NCSA,PAM,SASL,SMB,YP,DB,POP3,getpwnam,squid_radius_auth,multi-domain-NTLM" \
		--enable-ntlm-auth-helpers="smb_lm," \
		--enable-digest-auth-helpers="ldap,password" \
		--enable-negotiate-auth-helpers="squid_kerb_auth" \
		--enable-external-acl-helpers="ip_user,ldap_group,session,unix_group,wbinfo_group" \
		--enable-arp-acl \
		--enable-esi \
		--enable-zph-qos \
		--disable-translation \
		--with-logdir=/var/log/squid3 \
		--with-pidfile=/var/run/squid3.pid \
		--with-filedescriptors=65536 \
		--with-large-files \
		--with-default-user=proxy

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
else
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter
endif

DEB_MAKE_CLEAN_TARGET = distclean


install/squid3::
	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
	mv $(INSTALLDIR)/etc/squid3/squid.conf.documented $(INSTALLDIR)/etc/squid3/squid.conf
	mv $(INSTALLDIR)/usr/lib/squid3/cachemgr.cgi $(INSTALLDIR)/usr/lib/cgi-bin/cachemgr.cgi
	mv $(INSTALLDIR)/usr/sbin/squid $(INSTALLDIR)/usr/sbin/squid3
	mv $(INSTALLDIR)/usr/share/man/man8/squid.8 $(INSTALLDIR)/usr/share/man/man8/squid3.8
	mv $(INSTALLDIR)/usr/share/man/man8/pam_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_pam_auth.8
	mv $(INSTALLDIR)/usr/share/man/man8/squid_ldap_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_ldap_auth.8
	mv $(INSTALLDIR)/usr/share/man/man8/squid_ldap_group.8 $(INSTALLDIR)/usr/share/man/man8/squid3_ldap_group.8
	mv $(INSTALLDIR)/usr/share/man/man8/squid_session.8 $(INSTALLDIR)/usr/share/man/man8/squid3_session.8
	mv $(INSTALLDIR)/usr/share/man/man8/squid_unix_group.8 $(INSTALLDIR)/usr/share/man/man8/squid3_unix_group.8
	mv $(INSTALLDIR)/usr/share/man/man8/ncsa_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_ncsa_auth.8
	mv $(INSTALLDIR)/usr/share/man/man8/squid_db_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_db_auth.8
	mv $(INSTALLDIR)/usr/share/man/man8/squid_radius_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_radius_auth.8
	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
	install -m 755 -g root debian/squid3.rc $(INSTALLDIR)/etc/init.d/squid3
	install -m 755 -g root debian/squid3.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid3
	install -m 644 -g root debian/squid3.logrotate $(INSTALLDIR)/etc/logrotate.d/squid3
	install -m 644 -g root debian/squid3.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid3
	install -m 755 -g root -d debian/squid3/var/log
	install -m 755 -g root -d debian/squid3/var/spool
	install -m 755 -g root -d debian/squid3/var/run
	install -m 750 -o proxy -g proxy -d debian/squid3/var/log/squid3
	install -m 750 -o proxy -g proxy -d debian/squid3/var/spool/squid3
	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1

clean::
	# nothing to do

## squid3 3.1.18

=== debian/changelog ===
squid3 (3.1.18-1) unstable; urgency=low

  * New upstream release

  * debian/patches/19-adaptation-compile.patch
    - Added upstream patch to fix compile failure

 -- Luigi Gangitano <luigi@debian.org>  Mon, 26 Dec 2011 22:04:28 +0100

## squid3 3.1.19

=== debian/changelog ===
squid3 (3.1.19-1ubuntu3.12.04.8) precise-security; urgency=medium

  * SECURITY UPDATE: cookie data leak via If-Not-Modified HTTP conditional
    - debian/patches/CVE-2016-10002.patch: properly handle combination of
      If-Match and a Cache Hit in src/client_side_reply.cc,
      src/client_side_reply.h.
    - CVE-2016-10002

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Feb 2017 10:00:45 -0500

squid3 (3.1.19-1ubuntu3.12.04.7) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via pinger and ICMPv6 packet
    - debian/patches/CVE-2016-3947.patch: fix sizes in src/icmp/Icmp6.cc.
    - CVE-2016-3947
  * SECURITY UPDATE: denial of service and possible code execution via
    seeding manager reporter with crafted data
    - debian/patches/CVE-2016-4051.patch: use dynamic MemBuf for internal
      content generation in tools/cachemgr.cc, src/tests/stub_mem.cc,
      tools/Makefile.am, src/tests/STUB.h, src/squid.h.
    - CVE-2016-4051
  * SECURITY UPDATE: denial of service or arbitrary code execution via
    crafted ESI responses
    - debian/patches/CVE-2016-4052.patch: perform bounds checking and
      remove asserts in src/esi/Esi.cc.
    - CVE-2016-4052
    - CVE-2016-4053
    - CVE-2016-4054
  * SECURITY UPDATE: cache-poisoning attacks via an HTTP request with an
    absolute-URI
    - debian/patches/CVE-2016-4553.patch: properly handle condition in
      src/client_side.cc
    - CVE-2016-4553
  * SECURITY UPDATE: same-origin bypass and cache-poisoning attack via
    crafted HTTP host header
    - debian/patches/CVE-2016-4554.patch: properly handle whitespace in
      src/mime_header.cc.
    - CVE-2016-4554
  * SECURITY UPDATE: denial of service via ESI responses
    - debian/patches/CVE-2016-4555.patch: fix segfaults in
      src/client_side_request.cc, src/esi/Context.h, src/esi/Esi.cc.
    - CVE-2016-4555
    - CVE-2016-4556
  * debian/rules: include autoreconf.mk.
  * debian/control: add dh-autoreconf to BuildDepends.
  * debian/patches/02-makefile-defaults.patch: also patch src/Makefile.am.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jun 2016 07:50:10 -0400

squid3 (3.1.19-1ubuntu3.12.04.6) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted UDP SNMP request
    - debian/patches/CVE-2014-6270.patch: fix off-by-one in
      src/snmp_core.cc.
    - CVE-2014-6270
  * SECURITY UPDATE: error handling vulnerability
    - debian/patches/CVE-2016-2571.patch: better handling of huge response
      headers in src/http.cc.
    - CVE-2016-2571
  * Fix security issue that only applies when package is rebuilt with the
    enable-ssl flag, which is not the case in the Ubuntu archive.
    - debian/patches/CVE-2014-0128.patch: denial of service via a crafted
      range request.
  * debian/patches/increase-default-forward-max-tries.patch:
    change the default setting of 'forward_max_tries' from 10
    to 25. (LP: #1547640)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Mar 2016 14:57:14 -0500

squid3 (3.1.19-1ubuntu3.12.04.4) precise-proposed; urgency=low

  * d/squid3.upstart: Use SIGINT to terminate squid and wait at most 40
    seconds for it to finish. (LP: #1073478)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Wed, 14 Oct 2015 02:54:20 +0000

squid3 (3.1.19-1ubuntu3.12.04.3) precise-security; urgency=medium

  * SECURITY UPDATE: Ignore Range headers with unidentifiable byte-range
    values
    - debian/patches/CVE-2014-3609.patch: adjust src/HttpHdrRange.cc to
      return an error if unable to determine the byte value for ranges
    - CVE-2014-3609

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 26 Aug 2014 13:55:57 -0500

squid3 (3.1.19-1ubuntu3.12.04.2) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via cachemgr.cgi insufficient input
    validation
    - debian/patches/98-CVE-2012-5643.patch: modify cachemgr.cc to properly
      free memory and handle input in chunks
    - Based on
      http://www.squid-cache.org/Versions/v3/3.1/changesets/SQUID-2012_1.patch
    - CVE-2012-5643
    - CVE-2013-0189

 -- Seth Arnold <seth.arnold@canonical.com>  Mon, 28 Jan 2013 21:21:59 -0800

squid3 (3.1.19-1ubuntu3.12.04.1) precise-proposed; urgency=low

  * d/squid3.upstart: Work around squid not handling SIGHUP by
    adding respawn to upstart job. (LP: #978356)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 19 Jun 2012 16:32:10 -0700

squid3 (3.1.19-1ubuntu3) precise-proposed; urgency=low

  * debian/rules: re-enable all hardening options lost in the
    squid->squid3 transition (LP: #986314)
  * debian/squid3.upstart: move ulimit command to script section
    so that it applies to the started squid daemon. Thanks to Timur
    Irmatov (LP: #986159)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 20 Apr 2012 11:09:46 -0700

squid3 (3.1.19-1ubuntu2) precise; urgency=low

  * debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
    transition in 12.04 (LP: #924739) 

 -- Adam Gandelman <adamg@canonical.com>  Thu, 12 Apr 2012 13:46:10 -0700

squid3 (3.1.19-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + debian/control:
      - Update maintainer.
    + debian/squid3.upstart, debian/rules, squid3.resolvconf,
      debian/squid3.postinst, debian/squid3.postrm, debian/squid3.preinst,
      debian/squid3.prerm: Convert init script to upstart
    + debian/control, debian/patches/99-ubuntu-ssl-cert-snakeoil: Use
     snakeoil certificates.
    + debian/logrotate: Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch: Add an example refresh pattern
      for debs. (foundations-lucid-local-report spec)
    + Add transitional dummy packages
  * New upstream bugfix release fixes swap.state corruption, so squid will
    now start after a reboot. (LP: #930252)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 21 Feb 2012 18:51:26 +1100

squid3 (3.1.19-1) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: squid3
 Section: web
 Priority: optional
-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
 Homepage: http://www.squid-cache.org
 Standards-Version: 3.9.2
-Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev
+Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dh-autoreconf
 
 Package: squid3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base, ssl-cert (>= 1.0-11ubuntu1)
 Suggests: squidclient, squid-cgi, resolvconf (>= 0.40), smbclient, ufw
 Description: Full featured Web Proxy cache (HTTP proxy)
  Squid is a high-performance proxy caching server for web clients, supporting
@@ -74,3 +75,20 @@
  .
  This package contains a CGI program that can be used to query and administrate 
  a `squid' proxy cache through a web browser.
+
+Package: squid
+Architecture: any
+Depends: ${misc:Depends}, squid3
+Description: dummy transitional package from squid to squid3
+ This transitional package from the squid package to the squid3
+ package. Once this package and its dependencies are installed you can safely
+ remove it.
+
+Package: squid-common
+Architecture: all
+Depends: ${misc:Depends}, squid3-common
+Description: dummy transitional package from squid-common to squid3-common
+ This transitional package from the squid-common package to the squid3-common
+ package. Once this package and its dependencies are installed you can safely
+ remove it.
+

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #! /usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
+include /usr/share/dpkg/buildflags.mk
  
 INSTALLDIR := $(CURDIR)/debian/tmp
 datadir=/usr/share/squid3
@@ -32,6 +35,7 @@
 		--enable-arp-acl \
 		--enable-esi \
 		--enable-zph-qos \
+		--enable-wccpv2 \
 		--disable-translation \
 		--with-logdir=/var/log/squid3 \
 		--with-pidfile=/var/run/squid3.pid \
@@ -65,11 +69,13 @@
 	mv $(INSTALLDIR)/usr/share/man/man8/squid_db_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_db_auth.8
 	mv $(INSTALLDIR)/usr/share/man/man8/squid_radius_auth.8 $(INSTALLDIR)/usr/share/man/man8/squid3_radius_auth.8
 	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
+	install -m 755 -g root -d $(INSTALLDIR)/etc/init
 	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
 	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
 	install -m 755 -g root debian/squid3.rc $(INSTALLDIR)/etc/init.d/squid3
+	install -m 644 -g root debian/squid3.upstart $(INSTALLDIR)/etc/init/squid3.conf
 	install -m 755 -g root debian/squid3.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid3
 	install -m 644 -g root debian/squid3.logrotate $(INSTALLDIR)/etc/logrotate.d/squid3
 	install -m 644 -g root debian/squid3.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid3

## squid3 3.1.20

=== debian/changelog ===
squid3 (3.1.20-1ubuntu3) raring-proposed; urgency=low

  * fix FTBFS with newer glibc (LP: #1117517)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 Feb 2013 11:37:29 -0600

squid3 (3.1.20-1ubuntu2) raring-proposed; urgency=low

  [ Seth Arnold ]
  * SECURITY UPDATE: denial of service via cachemgr.cgi insufficient input
    validation
    - debian/patches/98-CVE-2012-5643.patch: modify cachemgr.cc to properly
      free memory and handle input in chunks
    - Based on
      http://www.squid-cache.org/Versions/v3/3.1/changesets/SQUID-2012_1.patch
    - CVE-2012-5643
    - CVE-2013-0189

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 Feb 2013 09:56:53 -0600

squid3 (3.1.20-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1016560).  Remaining changes:
    + debian/control:
      - Update maintainer.
      - Suggests apparmor (>= 2.3)
      - Depends on ssl-cert ((>= 1.0-11ubuntu1)
      - Add transitional dummy packages
    + debian/squid3.upstart
      - Move ulimit command to script section so that it applies
        to the started squid daemon. Thanks to Timur Irmatov (LP: 986159)
      - Work around squid not handling SIGHUP by adding respawn to
        upstart job. (LP: 978356)
    + debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
      transition in 12.04 (LP: 924739) 
    + debian/rules
      - Re-enable all hardening options lost in the squid->squid3
        transition (LP: 986314)
    + squid3.resolvconf, debian/squid3.postinst, debian/squid3.postrm,
      debian/squid3.preinst, debian/squid3.prerm:
      - Convert init script to upstart
    + debian/patches/99-ubuntu-ssl-cert-snakeoil:
      - Use snakeoil certificates.
    + debian/logrotate
      - Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch:
      - Add an example refresh pattern for debs.
        (foundations-lucid-local-report spec)
    + Add disabled by default AppArmor profile (LP: 497790)
      - debian/squid3.upstart: load profile in pre-start stanza
      - add debian/usr.sbin.squid3 profile
      - debian/rules:
        + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
          etc/apparmor.d/disable into $(INSTALLDIR)
        + use dh_apparmor
      - debian/squid3.install: install etc/apparmor.d/disable, force-complain
        and usr.sbin.squid3
      - debian/squid3.preinst: disable profile on clean install or upgrades
        from earlier than when we shipped the profile

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 22 Jun 2012 14:18:00 +0200

squid3 (3.1.20-1) unstable; urgency=low

  * New upstream release

  * debian/control
    - Bumped Standard-Version to 3.9.3, no change needed
    - Added missing dependency on dpkg-dev (>= 1.16.1~)

  * debian/rules
    - Enabled hardening options (Closes: #669684)

  * debian/patches/01-cf.data.debian.patch
    - Fixed minor typos in configuration file (Closes: #670832, #673350)

 -- Luigi Gangitano <luigi@debian.org>  Mon, 18 Jun 2012 14:20:53 +0200

squid3 (3.1.19-1ubuntu5) quantal; urgency=low

  * d/squid3.upstart: Work around squid not handling SIGHUP by
    adding respawn to upstart job. (LP: #978356)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 19 Jun 2012 15:35:19 -0700

squid3 (3.1.19-1ubuntu4) quantal; urgency=low

  * Add disabled by default AppArmor profile (LP: #497790)
    - debian/squid3.upstart: load profile in pre-start stanza
    - add debian/usr.sbin.squid3 profile
    - debian/rules:
      + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
        etc/apparmor.d/disable into $(INSTALLDIR)
      + use dh_apparmor
    - debian/control: suggests apparmor (>= 2.3)
    - debian/squid3.install: install etc/apparmor.d/disable, force-complain
      and usr.sbin.squid3
    - debian/squid3.preinst: disable profile on clean install or upgrades
      from earlier than when we shipped the profile

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Jun 2012 11:32:14 -0500

squid3 (3.1.19-1ubuntu3.1) quantal; urgency=low

  * debian/rules: re-enable all hardening options lost in the
    squid->squid3 transition (LP: #986314)
  * debian/squid3.upstart: move ulimit command to script section
    so that it applies to the started squid daemon. Thanks to Timur
    Irmatov (LP: #986159)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Jun 2012 09:06:51 -0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 3.9.2
-Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dh-autoreconf
+Standards-Version: 3.9.3
+Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~)
 
 Package: squid3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base, ssl-cert (>= 1.0-11ubuntu1)
-Suggests: squidclient, squid-cgi, resolvconf (>= 0.40), smbclient, ufw
+Suggests: squidclient, squid-cgi, resolvconf (>= 0.40), smbclient, ufw, apparmor (>= 2.3)
 Description: Full featured Web Proxy cache (HTTP proxy)
  Squid is a high-performance proxy caching server for web clients, supporting
  FTP, gopher, and HTTP data objects.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #! /usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/dpkg/buildflags.mk
  
 INSTALLDIR := $(CURDIR)/debian/tmp
@@ -85,6 +88,10 @@
 	install -m 750 -o proxy -g proxy -d debian/squid3/var/log/squid3
 	install -m 750 -o proxy -g proxy -d debian/squid3/var/spool/squid3
 	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1
+	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
+	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
+	install -m 644 -g root debian/usr.sbin.squid3 $(INSTALLDIR)/etc/apparmor.d
+	dh_apparmor --profile-name=usr.sbin.squid3 -psquid3
 
 clean::
 	# nothing to do

## squid3 3.3.8

=== debian/changelog ===
squid3 (3.3.8-1ubuntu6) trusty; urgency=medium

  * debian/rules: Force -O2 to work around build failure with -O3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Feb 2014 20:13:30 -0700

squid3 (3.3.8-1ubuntu5) trusty; urgency=low

  [ Yolanda Robla ]
  * debian/control: added lsb-release dependency
  * debian/patches/fix-distribution.patch: added patch to show distribution

  [ Dimitri John Ledkov ]
  * Enable parallel build

 -- Yolanda Robla <yolanda.robla@canonical.com>  Wed, 11 Dec 2013 10:51:45 +0000

squid3 (3.3.8-1ubuntu4) trusty; urgency=low

  * Fix perl & pod2man config.tests.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 04 Nov 2013 02:17:30 +0000

squid3 (3.3.8-1ubuntu3) saucy; urgency=low

  * d/tests/squid: Disable seccomp sandboxing in vsftpd until it works
    reliably (http://pad.lv/1219857), restart vsftpd using service
    command.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2013 15:50:41 +0100

squid3 (3.3.8-1ubuntu2) saucy; urgency=low

  * d/usr.sbin.squid3: Update apparmor profile to allow pinger process to
    create and use ICMP ports for ipv4/ipv6. 

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2013 11:06:54 +0100

squid3 (3.3.8-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    + debian/control:
      - Update maintainer.
      - Suggests apparmor (>= 2.3)
      - Depends on ssl-cert ((>= 1.0-11ubuntu1), autopkgtests
    + debian/squid3.upstart
      - Move ulimit command to script section so that it applies
        to the started squid daemon. Thanks to Timur Irmatov (LP: 986159)
      - Work around squid not handling SIGHUP by adding respawn to
        upstart job. (LP: 978356)
    + debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
      transition in 12.04 (LP: 924739)
    + debian/rules
      - Re-enable all hardening options lost in the squid->squid3
        transition (LP: 986314)
    + squid3.resolvconf, debian/squid3.postinst, debian/squid3.postrm,
      debian/squid3.preinst, debian/squid3.prerm:
      - Convert init script to upstart
    + debian/patches/99-ubuntu-ssl-cert-snakeoil:
      - Use snakeoil certificates.
    + debian/logrotate
      - Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch:
      - Add an example refresh pattern for debs.
        (foundations-lucid-local-report spec)
    + Add disabled by default AppArmor profile (LP: 497790)
      - debian/squid3.upstart: load profile in pre-start stanza
      - add debian/usr.sbin.squid3 profile
      - debian/rules:
        + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
          etc/apparmor.d/disable into $(INSTALLDIR)
        + use dh_apparmor
      - debian/squid3.install: install etc/apparmor.d/disable, force-complain
        and usr.sbin.squid3
      - debian/squid3.preinst: disable profile on clean install or upgrades
        from earlier than when we shipped the profile
    + debian/tests:
      - Add autopkgtests.
  * d/control: Add dependency package for squid -> squid3 (LP: #1211942).
  * d/control: Add dh-apparmor to BD's.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Aug 2013 09:03:55 +0100

squid3 (3.3.8-1) unstable; urgency=high

  * Urgency high due to security fixes

  * New upstream release
    - Fixes security issues (Closes: #716743)
      + Buffer overflow in HTTP request handling (Ref: SQUID-2013:2,
        CVE-2013-4115)
      + DoS in request processing (Ref: SQUID-2013:3, CVE-2013-4123)
    - Includes PNG image used in error pages, with new copyright assignement
      (Closes: #683255)

  * Added /var/run/squid3 dir to host sockets in SMP configuration
    (Closes: #710126)

  * debian/control
    - Bumped Standard-Version to 3.9.4, no change needed

 -- Luigi Gangitano <luigi@debian.org>  Sun, 21 Jul 2013 18:28:36 +0200

squid3 (3.3.4-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1199883).  Remaining changes:
    + debian/control:
      - Update maintainer.
      - Suggests apparmor (>= 2.3)
      - Depends on ssl-cert ((>= 1.0-11ubuntu1), autopkgtests
    + debian/squid3.upstart
      - Move ulimit command to script section so that it applies
        to the started squid daemon. Thanks to Timur Irmatov (LP: 986159)
      - Work around squid not handling SIGHUP by adding respawn to
        upstart job. (LP: 978356)
    + debian/NEWS.Debian: Rename NEWS.debian, add note regarding squid3
      transition in 12.04 (LP: 924739)
    + debian/rules
      - Re-enable all hardening options lost in the squid->squid3
        transition (LP: 986314)
    + squid3.resolvconf, debian/squid3.postinst, debian/squid3.postrm,
      debian/squid3.preinst, debian/squid3.prerm:
      - Convert init script to upstart
    + debian/patches/99-ubuntu-ssl-cert-snakeoil:
      - Use snakeoil certificates.
    + debian/logrotate
      - Use sar-reports rather than sarg-maint. (LP: 26616)
    + debian/patches/90-cf.data.ubuntu.dpatch:
      - Add an example refresh pattern for debs.
        (foundations-lucid-local-report spec)
    + Add disabled by default AppArmor profile (LP: 497790)
      - debian/squid3.upstart: load profile in pre-start stanza
      - add debian/usr.sbin.squid3 profile
      - debian/rules:
        + install debian/usr.sbin.squid3, etc/apparmor.d/force-complain and
          etc/apparmor.d/disable into $(INSTALLDIR)
        + use dh_apparmor
      - debian/squid3.install: install etc/apparmor.d/disable, force-complain
        and usr.sbin.squid3
      - debian/squid3.preinst: disable profile on clean install or upgrades
        from earlier than when we shipped the profile
    + debian/tests:
      - Add autopkgtests.

  * Dropped:
    - debian/patches: dropped patches, superseded by new release:
      + 98-CVE-2012-5643.patch
      + 99-lp1117517_r12473.patch
    - debian/rules: fix FTBFS, removed --with-cppunit-basedir flag,
      included in Debian.


=== debian/control ===
Source: squid3
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 3.9.4
Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libecap2-dev, libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], dh-apparmor, lsb-release
XS-Testsuite: autopkgtest

Package: squid3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base, ssl-cert (>= 1.0-11ubuntu1)
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd, apparmor (>= 2.3)
Description: Full featured Web Proxy cache (HTTP proxy)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.

Package: squid3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: squid3 (= ${binary:Version}), ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - Debug symbols
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains debugging symbols for binaries in squid3.

Package: squid3-common
Architecture: all
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains common files (MIB and icons)

Package: squidclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: squid3-client
Conflicts: squid3-client
Replaces: squid3-client
Description: Full featured Web Proxy cache (HTTP proxy) - control utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains a small utility that can be used to get URLs from the 
 command line.

Package: squid-cgi
Architecture: any
Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
Provides: squid3-cgi
Conflicts: squid3-cgi
Replaces: squid3-cgi
Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains a CGI program that can be used to query and administrate 
 a `squid' proxy cache through a web browser.
 
Package: squid-purge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - control utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
 new features including ICAP and ESI support.
 .
 This package contains a small utility that can be used to manage the disk cache
 from the command line.

Package: squid
Architecture: any
Depends: ${misc:Depends}, squid3 (= ${binary:Version})
Description: dependency package from squid to squid3
 Dependency package to install squid3 as the default squid.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_PARALLEL=yes
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/dpkg/buildflags.mk
CXXFLAGS := $(subst -O3,-O2,$(CXXFLAGS))
 
INSTALLDIR := $(CURDIR)/debian/tmp
datadir=/usr/share/squid3

DEB_DH_INSTALL_SOURCEDIR := $(INSTALLDIR)
DEB_INSTALL_DOCS_squid3-common := CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html \
						SPONSORS 

DEB_CONFIGURE_EXTRA_FLAGS := --datadir=/usr/share/squid3 \
		--sysconfdir=/etc/squid3 \
		--mandir=/usr/share/man \
		--enable-inline \
		--enable-async-io=8 \
		--enable-storeio="ufs,aufs,diskd,rock" \
		--enable-removal-policies="lru,heap" \
		--enable-delay-pools \
		--enable-cache-digests \
		--enable-underscores \
		--enable-icap-client \
		--enable-follow-x-forwarded-for \
		--enable-auth-basic="DB,fake,getpwnam,LDAP,MSNT,MSNT-multi-domain,NCSA,NIS,PAM,POP3,RADIUS,SASL,SMB" \
		--enable-auth-digest="file,LDAP" \
		--enable-auth-negotiate="kerberos,wrapper" \
		--enable-auth-ntlm="fake,smb_lm" \
		--enable-external-acl-helpers="file_userip,kerberos_ldap_group,LDAP_group,session,SQL_session,unix_group,wbinfo_group" \
		--enable-url-rewrite-helpers="fake" \
		--enable-eui \
		--enable-esi \
		--enable-icmp \
		--enable-zph-qos \
		--enable-ecap \
		--disable-translation \
		--with-swapdir=/var/spool/squid3 \
		--with-logdir=/var/log/squid3 \
		--with-pidfile=/var/run/squid3.pid \
		--with-filedescriptors=65536 \
		--with-large-files \
		--with-default-user=proxy

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
endif
ifeq ($(DEB_HOST_ARCH_OS), linux)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter
endif

DEB_MAKE_CLEAN_TARGET = distclean

DEB_FIXPERMS_EXCLUDE = /usr/lib/squid3/pinger

install/squid3::
	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
	mv $(INSTALLDIR)/etc/squid3/squid.conf.documented $(INSTALLDIR)/etc/squid3/squid.conf
	mv $(INSTALLDIR)/usr/lib/squid3/cachemgr.cgi $(INSTALLDIR)/usr/lib/cgi-bin/cachemgr.cgi
	mv $(INSTALLDIR)/usr/sbin/squid $(INSTALLDIR)/usr/sbin/squid3
	mv $(INSTALLDIR)/usr/share/man/man8/squid.8 $(INSTALLDIR)/usr/share/man/man8/squid3.8
	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/init
	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
	install -m 755 -g root debian/squid3.rc $(INSTALLDIR)/etc/init.d/squid3
	install -m 644 -g root debian/squid3.upstart $(INSTALLDIR)/etc/init/squid3.conf
	install -m 755 -g root debian/squid3.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid3
	install -m 644 -g root debian/squid3.logrotate $(INSTALLDIR)/etc/logrotate.d/squid3
	install -m 644 -g root debian/squid3.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid3
	install -m 755 -g root -d debian/squid3/var/log
	install -m 755 -g root -d debian/squid3/var/spool
	install -m 755 -g root -d debian/squid3/var/run
	install -m 750 -o proxy -g proxy -d debian/squid3/var/log/squid3
	install -m 750 -o proxy -g proxy -d debian/squid3/var/spool/squid3
	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1
	mv $(INSTALLDIR)/usr/bin/purge $(INSTALLDIR)/usr/bin/squid-purge
	chmod 4755 $(INSTALLDIR)/usr/lib/squid3/pinger
	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
	install -m 644 -g root debian/usr.sbin.squid3 $(INSTALLDIR)/etc/apparmor.d
	dh_apparmor --profile-name=usr.sbin.squid3 -psquid3

clean::
	# nothing to do

=== debian/watch ===
version=3
http://www.squid-cache.org/Versions/v3/3.3/squid-([\.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
